// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdDigitalSigningPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdDigitalSigningPlugin", targets: ["WebIdDigitalSigningPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdSdkUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-sdk-ui-components-spm.git",
            .branch("redesign-v4-snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdDigitalSigningPlugin/12.4.0/WebIdDigitalSigningPlugin.framework-v12.4.0-SNAPSHOT-891.zip",
            checksum: "63bd36a62c31baa6025ec3c506bac18b5feeeadc7a595096f901889c88f871b1"
        ),
        .target(
            name: "WebIdDigitalSigningPluginWrapper",
            dependencies: [
                .target(name: "WebIdDigitalSigningPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "WebIdSdkUiKitComponents", package: "WebIdSdkUiKitComponents"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
